/* Copyright (C) 1994, 1995 Aladdin Enterprises.  All rights reserved.
  
  This file is part of Aladdin Ghostscript.
  
  Aladdin Ghostscript is distributed with NO WARRANTY OF ANY KIND.  No author
  or distributor accepts any responsibility for the consequences of using it,
  or for whether it serves any particular purpose or works at all, unless he
  or she says so in writing.  Refer to the Aladdin Ghostscript Free Public
  License (the "License") for full details.
  
  Every copy of Aladdin Ghostscript must include a copy of the License,
  normally in a plain ASCII text file named PUBLIC.  The License grants you
  the right to copy, modify and redistribute Aladdin Ghostscript, but only
  under certain conditions described in the License.  Among other things, the
  License requires that the copyright notice and this notice be preserved on
  all copies.
*/

/* gxpaint.h */
/* Device coordinate painting interface for Ghostscript library */
/* Requires gsstate.h, gxpath.h */

#ifndef gx_device_DEFINED
#  define gx_device_DEFINED
typedef struct gx_device_s gx_device;
#endif

#ifndef gx_device_color_DEFINED
#  define gx_device_color_DEFINED
typedef struct gx_device_color_s gx_device_color;
#endif

int gx_fill_path(P5(gx_path *ppath, gx_device_color *pdevc, gs_state *pgs,
		    int rule, fixed adjust));
/* Eventually we will remove the pgs argument from the following call.... */
int gx_fill_path_only(P9(gx_path *ppath, gx_device_color *pdevc,
			 gx_device *dev, int rule,
			 fixed adjust_x, fixed adjust_y,
			 const gs_fixed_rect *pbox,
			 floatp flatness, gs_state *pgs));
int gx_stroke_fill(P2(const gx_path *ppath, gs_state *pgs));
int gx_stroke_add(P3(const gx_path *ppath, gx_path *to_path, gs_state *pgs));
